Stake Accounts

NOTE: This endpoint is only callable by API keys in the following tiers:

  • Business
  • Developer
  • Enterprise
  • PremiumSharedRpc
  • StarterSharedRpc
  • UltimateSharedRpc

Shows all stake account creation on Solana. Data goes back 30 days.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

Get accounts created by an authority account

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/defi/staking/accounts";

async function getAccounts() {
    const { data } = await axios.post(
        url,
        {
			"stakeAuthority": "so1b2w9fpMdqgzHR2UvW4iqkkc8nig6xTeBjU5HMbjG"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}

Get info on when a stake account was created

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/defi/staking/accounts";

async function getStakeAccountInfo() {
    const { data } = await axios.post(
        url,
        {
			"stakeAccount": "4GfzvjkmDNgN2hzY1EGgzxk4Y6uMushc9iXXtqg9moGt"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}
Body Params

body

object | number
string

Public key of the stake account
optional field

string

Public key of a stake authority account
optional field

string

Public key of a withdraw authority account
optional field

string

First signature in a transaction, which can be used to track and verify the transaction status across the complete ledger.
It is a base-58 encoded string that is uniquely generated for each transaction.
optional field

number
1 to 1000

The number of results to return per page
optional field

number
≥ 1

The page number to return
optional field

string

The pagination token to use to keep your position in the results
optional field

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json